package com.its.vms.xnettcp.vms.protocol;

import com.its.vms.xnettcp.vms.protocol.enums.eVmsOpCode;

import java.nio.ByteBuffer;

public abstract class VmsReqFramePacket {

    protected eVmsOpCode opCode;
    protected short packetNmbr;

    public abstract ByteBuffer getByteBuffer();

    public eVmsOpCode getOpCode() {
        return this.opCode;
    }
    public String getOpCodeDesc() {
        if (this.opCode != null) {
            return opCode.toString();
        }
        return "ERROR: OpCode is Not Set.";
    }
    public short getPacketNmbr() {
        return this.packetNmbr;
    }

}
